Bug 1290516 - [abrt] xfce4-panel: strlen(): wrapper-2.0 killed by SIGSEGV
[abrt] xfce4-panel: strlen(): wrapper-2.0 killed by SIGSEGV
Status: CLOSED DUPLICATE of bug 1283347
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b3e596000304965d78ff3ebd903...
:
: 1309708 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 12:29 EST by bitchecker
Modified: 2016-02-23 09:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 09:15:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.22 KB, text/plain)
2015-12-10 12:29 EST, bitchecker
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-10 12:29 EST, bitchecker
no flags Details
File: core_backtrace (9.50 KB, text/plain)
2015-12-10 12:29 EST, bitchecker
no flags Details
File: dso_list (10.40 KB, text/plain)
2015-12-10 12:29 EST, bitchecker
no flags Details
File: environ (1.78 KB, text/plain)
2015-12-10 12:29 EST, bitchecker
no flags Details
File: exploitable (93 bytes, text/plain)
2015-12-10 12:29 EST, bitchecker
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-10 12:29 EST, bitchecker
no flags Details
File: maps (49.46 KB, text/plain)
2015-12-10 12:29 EST, bitchecker
no flags Details
File: mountinfo (3.40 KB, text/plain)
2015-12-10 12:29 EST, bitchecker
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-10 12:29 EST, bitchecker
no flags Details
File: open_fds (775 bytes, text/plain)
2015-12-10 12:29 EST, bitchecker
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2015-12-10 12:29 EST, bitchecker
no flags Details

  None (edit)
Description bitchecker 2015-12-10 12:29:31 EST
Version-Release number of selected component:
xfce4-panel-4.12.0-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/panel/wrapper-2.0 /usr/lib64/xfce4/panel/plugins/libxfce4powermanager.so 18 25165858 power-manager-plugin 'Plugin del gestore di energia' 'Mostra il livello di carica dei dispositivi e controlla la luminosit\xc3\xa0 dello schermo' ''
crash_function: strlen
executable:     /usr/lib64/xfce4/panel/wrapper-2.0
global_pid:     1749
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:68
 #1 get_device_description at xfpm-power-common.c:267
 #2 power_manager_button_update_device_icon_and_details at ../power-manager-button.c:454
 #8 g_object_notify_by_spec_internal at gobject.c:1154
 #9 g_object_notify at gobject.c:1202
 #15 g_object_notify_by_spec_internal at gobject.c:1154
 #16 g_object_notify at gobject.c:1202
 #17 up_device_glue_proxy_g_properties_changed at up-device-glue.c:2706
 #18 ffi_call_unix64 at ../src/x86/unix64.S:76
 #19 ffi_call at ../src/x86/ffi64.c:525

Potential duplicate: bug 1227082
Comment 1 bitchecker 2015-12-10 12:29:37 EST
Created attachment 1104450 [details]
File: backtrace
Comment 2 bitchecker 2015-12-10 12:29:39 EST
Created attachment 1104451 [details]
File: cgroup
Comment 3 bitchecker 2015-12-10 12:29:41 EST
Created attachment 1104452 [details]
File: core_backtrace
Comment 4 bitchecker 2015-12-10 12:29:43 EST
Created attachment 1104453 [details]
File: dso_list
Comment 5 bitchecker 2015-12-10 12:29:44 EST
Created attachment 1104454 [details]
File: environ
Comment 6 bitchecker 2015-12-10 12:29:46 EST
Created attachment 1104455 [details]
File: exploitable
Comment 7 bitchecker 2015-12-10 12:29:48 EST
Created attachment 1104456 [details]
File: limits
Comment 8 bitchecker 2015-12-10 12:29:50 EST
Created attachment 1104457 [details]
File: maps
Comment 9 bitchecker 2015-12-10 12:29:52 EST
Created attachment 1104458 [details]
File: mountinfo
Comment 10 bitchecker 2015-12-10 12:29:54 EST
Created attachment 1104459 [details]
File: namespaces
Comment 11 bitchecker 2015-12-10 12:29:55 EST
Created attachment 1104460 [details]
File: open_fds
Comment 12 bitchecker 2015-12-10 12:29:57 EST
Created attachment 1104461 [details]
File: proc_pid_status
Comment 13 Kevin Fenzi 2015-12-10 12:48:54 EST
What were you doing when this happened?

Can you duplicate it?
Comment 14 bitchecker 2016-02-18 09:30:35 EST
*** Bug 1309708 has been marked as a duplicate of this bug. ***
Comment 15 Lukas Slebodnik 2016-02-22 06:46:10 EST
I might be a duplicate of BZ1283347.
Comment 16 Kevin Fenzi 2016-02-23 09:15:14 EST
Indeed it does look like a dupe. ;) Thanks!

Do upgrade to the latest xfce4-power-manager and if you still see this, please file a new bug.

*** This bug has been marked as a duplicate of bug 1283347 ***

Note You need to log in before you can comment on or make changes to this bug.